Subject: bug#13028: inplace

From: "David A. Wheeler" <[email-masked]>
Date: Fri, 30 Nov 2012 08:51:16 -0500 (EST)

> On 11/29/2012 03:20 PM, Reuben Thomas wrote:
> > On Fri, 14 May 2004 15:53:04 +0600 (YEKST), Victor Porton offered his handy "inplace" script to coreutils, which runs a filter on a file in-place...

Pádraig Brady <[email-masked]> said:
> I definitely think this is worthwhile.
> In fact I mostly finished such a script here
> that would handle all the atomic, backup, permissions, etc.:
> http://lists.gnu.org/archive/html/bug-coreutils/2010-03/msg00213.html
> See also: http://www.pixelbeat.org/docs/unix_file_replacement.html
...
> Also I was wondering what to call it. rp, inplace, replace, ...
> and in the meantime I noticed David Wheeler proposed much the same thing
> with the "rewrite" util:
> http://permalink.gmane.org/gmane.comp.standards.posix.austin.general/5348
...
> I'll work on this script after I finish a pending
> SELinux patchset I'm working on.

I'm delighted to hear that people are working this... thank you!

A request: Please make sure you include single-letter flags for key options; that'll help get it into the POSIX spec.  People are more likely to use tools like these if their interface is "available everywhere", and I think getting it (eventually) into the POSIX spec would help make that happen.

Also, please maximally steal useful syntax/examples/ideas from:
 http://permalink.gmane.org/gmane.comp.standards.posix.austin.general/5348
My hope is that this in-place edit tool will just "do the job well".

--- David A. Wheeler